#pragma once
#include "common.h"
#include "td/telegram/td_api.h"
#include "telegram_client.h"
#include <string>

namespace cmd {
  void handle_regular_message(context *ctx, td_api::message &msg);
  void handle_inline_query(context *ctx, td_api::updateNewInlineQuery &query);
  void handle_callback_query(context *ctx, td_api::updateNewInlineCallbackQuery &query);
  bool shorten_link(std::string link, context *ctx, std::function<void(std::string)> cb);

  uint64_t new_pending_query_id();
}